@ECHO off

mode con cols=50 lines=10 >nul
title HIDE ALL IP CLEAN STARTUP LiL-FeLLa
ECHO HIDE ALL IP CLEAN STARTUP >> log.txt
ECHO HIDE ALL IP CLEAN STARTUP 
ECHO .


:: BatchGotAdmin
:-------------------------------------
REM  --> Check for permissions
>nul 2>&1 "%SYSTEMROOT%\system32\cacls.exe" "%SYSTEMROOT%\system32\config\system"

REM --> If error flag set, we do not have admin.
if '%errorlevel%' NEQ '0' (
    echo Requesting administrative privileges...
    goto UACPrompt
) else ( goto gotAdmin )

:UACPrompt
    echo Set UAC = CreateObject^("Shell.Application"^) > "%temp%\getadmin.vbs"
    set params = %*:"=""
    echo UAC.ShellExecute "cmd.exe", "/c %~s0 %params%", "", "runas", 1 >> "%temp%\getadmin.vbs"

    "%temp%\getadmin.vbs"
    del "%temp%\getadmin.vbs"
    exit /B

:gotAdmin
    pushd "%CD%"
    CD /D "%~dp0"
:--------------------------------------

title HIDE ALL IP KILL exe FILES LiL-FeLLa
mode con cols=80 lines=50 >nul

@COLOR 0E

@ECHO.
@ECHO KILL HIDE ALL IP exe FILES IF RUNNING
@ECHO.
@ECHO.
TASKKILL /F /IM HideAllIP.exe
TASKKILL /F /IM networktunnelx64helper.exe
TASKKILL /F /IM HideALLIP_RunAsAdmin.exe
TASKKILL /F /IM _HideAllIP.exe
TASKKILL /F /IM HideALLIP_original.exe
TASKKILL /F /IM LauncherService.exe
TASKKILL /F /IM _HAI_New1.exe
TASKKILL /F /IM _HAI_New2.exe

@ECHO.
TIMEOUT /T 1

@ECHO.

title HIDE ALL IP DELETE reg ENTRIES LiL-FeLLa

@ECHO.
@ECHO TRY DELETE reg ENTRIES hkey CURRENT USER HIDEALLIP
@ECHO.

@ECHO.
@ECHO hkey current user x86

:x86
REG DELETE "HKEY_CURRENT_USER\Software\hideallip" /f
@ECHO.

@ECHO.
@ECHO hkey current user x64

:x64
REG DELETE "HKEY_CURRENT_USER\Software\Wow6432Node\hideallip" /f
@ECHO.







@ECHO TRY DELETE reg ENTRIES hkey LOCAL MACHINE HIDEALLIP
@ECHO.


@ECHO.
@ECHO hkey local machine x86

:x86
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\hideallip" /f
@ECHO.

@ECHO.
@ECHO hkey local machine x64

:x64
REG DELETE "HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\hideallip" /f
@ECHO.





@ECHO.
TIMEOUT /T 1
CLS
@ECHO.

title HIDE ALL IP ResetKey 

ECHO .
ECHO ResetKey >> log.txt
ECHO ResetKey please click OK when shown
ECHO .
Start /wait ResetKey.exe
IF %errorlevel% NEQ 0 GOTO :error
ECHO .
ECHO Successfully ResetKey >> log.txt
ECHO Successfully ResetKey
ECHO .


TIMEOUT /T 1
CLS

title HIDE ALL IP Loading Loader 

ECHO .
ECHO Loading Loader  >> log.txt
ECHO Loading Loader 
ECHO .
Start /wait loader_v2.exe
IF %errorlevel% NEQ 0 GOTO :error
ECHO .
ECHO Successfully Loader  >> log.txt
ECHO Successfully Loader 
ECHO .




TIMEOUT /T 1
CLS
mode con cols=10 lines=10 >nul
title EXIT
TIMEOUT /T 2


EXIT 0


:error
ECHO PROCESS ABOVE FAILED There was an error. >> log.txt
ECHO PROCESS ABOVE FAILED There was an error. 
ECHO .
ECHO ERRORLEVEL  %ERRORLEVEL% >> log.txt
ECHO ERRORLEVEL  %ERRORLEVEL%
pause
EXIT 1



